summaryrefslogtreecommitdiff
path: root/debian/sendmail-cf.postrm.in
diff options
context:
space:
mode:
authorAndreas Beckmann <anbe@debian.org>2013-10-22 00:42:22 +0200
committerAndreas Beckmann <anbe@debian.org>2013-10-22 00:42:22 +0200
commit9b5080da9228d71649fb3979e9ee0164e013c880 (patch)
tree23bddac687380781794934a9a02bf2957b2f51dc /debian/sendmail-cf.postrm.in
parent80226204743ae8203a4c846949a0b2efc91c833b (diff)
downloadsendmail-9b5080da9228d71649fb3979e9ee0164e013c880.tar.gz
move all control file templates to debian/
Diffstat (limited to 'debian/sendmail-cf.postrm.in')
-rw-r--r--debian/sendmail-cf.postrm.in52
1 files changed, 52 insertions, 0 deletions
diff --git a/debian/sendmail-cf.postrm.in b/debian/sendmail-cf.postrm.in
new file mode 100644
index 0000000..606ec49
--- /dev/null
+++ b/debian/sendmail-cf.postrm.in
@@ -0,0 +1,52 @@
+#!/bin/sh -e
+#
+# Debian post removal script
+#
+# Install of already installed package:
+# 1) Upgrade of package:
+# new-preinst upgrade old-version
+# *) new-postrm abort-upgrade old-version
+# 2) package had some configuration files from a previous version installed
+# new-preinst install old-version
+# *) new-postrm abort-install old-version
+# 3) Otherwise (i.e., the package was completely purged)
+# new-preinst install
+# *) new-postrm abort-install
+#
+# Removal of a package:
+# 1) prerm remove
+# 2) The package's files are removed (except conffiles).
+# 3) postrm remove
+# 4) All the maintainer scripts except the postrm are removed.
+# 5) The conffiles and any backup files
+# (~-files, #*# files, %-files, .dpkg-{old,new,tmp}, etc.) are removed.
+# 6) postrm purge
+# 7) The package's file list is removed
+#
+set -e;
+
+PACKAGE=sendmail-cf;
+
+case "$1" in
+ remove)
+ # Make sure the data directory is *clean*
+ rm -rf @datadir@/sendmail/cf
+ ;;
+
+ purge)
+ ;;
+
+ upgrade)
+ ;;
+
+ failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "$PACKAGE postrm called with unknown argument \`$1'" >&2;
+ exit 1;
+ ;;
+ esac;
+
+#DEBHELPER#
+exit 0;